require "takwimu/version"

module Takwimu
  class Error < StandardError; end
  

  # Returns factorial of n
  def self.factorial(n)
    return if n < 0

    n = n.to_i

    return 1 if n == 0 || n == 1
    return Math.gamma(n + 1)
  end

  # Returns min, 1st quartile, median, mean, 3rd quartile, max.
  # (WIP) will return +nil+
  #
  def self.summary(dat)
    min = dat.min
    max = dat.max
    return [min, max]
  end

end
